Intermittent ssltunnel explosion running test_bug435743_1.xul

RESOLVED WORKSFORME

Status

()

Toolkit
Add-ons Manager
RESOLVED WORKSFORME
8 years ago
5 years ago

People

(Reporter: philor, Unassigned)

Tracking

({intermittent-failure})

Trunk
x86
Linux
intermittent-failure
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264398498.1264399377.30288.gz&fulltext=1
Linux mozilla-central opt test mochitest-other on 2010/01/24 21:48:18  
s: moz2-linux-slave16

7947 INFO Running chrome://mochikit/content/chrome/toolkit/mozapps/extensions/test/test_bug435743_1.xul...
(several things go just fine)

Host: self-signed.example.com

accepted CONNECT request, connected to the server, sending OK to the client
SSLTUNNEL(0x9152868): polling flags csock(0)=RW, ssock(1)=R-
SSLTUNNEL(0x9152868): csock(0)=0x9127f20 out_flags=2 :writting, writen 50 bytes dump:
HTTP/1.1 200 Connected

Connection: keep-alive

proxy response sent to the client client socket updated to SSL dropping our write flag and setting other socket read flag
SSLTUNNEL(0x9152868): ssock(1)=0x9155470 out_flags=0
SSLTUNNEL(0x9152868): polling flags csock(0)=R-, ssock(1)=R-
SSLTUNNEL(0x9152868): csock(0)=0x9127f20 out_flags=1 :reading would block
SSLTUNNEL(0x9152868): ssock(1)=0x9155470 out_flags=0
SSLTUNNEL(0x9152868): polling flags csock(0)=R-, ssock(1)=R-
SSLTUNNEL(0x9152868): csock(0)=0x9127f20 out_flags=1 :reading error=-12271
SSLTUNNEL(0x9152868): ssock(1)=0x9155470 out_flags=0
SSLTUNNEL(0x9152868): exiting root function for csock=0x9127f20, ssock=0x9155470
SSLTUNNEL(0x9153278): csock(0)=0x9117c70 out_flags=40 :exception
SSLTUNNEL(0x9153278): polling flags csock(0)=--, ssock(1)=R-
SSLTUNNEL(0x9153278): csock(0)=0x9117c70 out_flags=40 :exception
SSLTUNNEL(0x9153278): polling flags csock(0)=--, ssock(1)=R-
SSLTUNNEL(0x9153278): csock(0)=0x9117c70 out_flags=40 :exception
SSLTUNNEL(0x9153278): polling flags csock(0)=--, ssock(1)=R-
SSLTUNNEL(0x9153278): csock(0)=0x9117c70 out_flags=40 :exception
SSLTUNNEL(0x9153278): polling flags csock(0)=--, ssock(1)=R-
SSLTUNNEL(0x9153278): csock(0)=0x9117c70 out_flags=40 :exception

and then those last two lines repeat until an "Output exceeded 52428800 bytes, remaining output has been truncated" finally stops them.

Dunno if that's the test's fault or ssltunnel's fault, but I know where to file against the test, which solves the problem that I don't know where to file against ssltunnel.
(Reporter)

Comment 1

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264440208.1264442192.5023.gz&fulltext=1
Linux mozilla-central debug test mochitest-other on 2010/01/25 09:23:28
s: moz2-linux-slave13
Is there actually anything bad going on here? I've seen this sort of logging from ssltunnel before test_bug435743_1.xul was enabled.
(Reporter)

Comment 3

8 years ago
Well, there's certainly *something* bad - the failure mode, "mochitest-chrome: T-FAIL" with nothing in the brief log, and the full log being overflowed, are bad, and ":reading error=-12271" sounds sort of bad, I just don't know who's being bad, or who's supposed to recover from it.
(Reporter)

Comment 4

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269555406.1269556388.1603.gz
Linux mozilla-central opt test mochitest-other on 2010/03/25 15:16:46
s: moz2-linux-slave06
Regarding comment #2, if this isn't tied to a particular test, I think this failure
http://tinderbox.mozilla.org/showlog.cgi?tree=Firefox&errorparser=unittest&logfile=1276065379.1276068393.11574.gz&buildtime=1276065379&buildname=Rev3%20Fedora%2012x64%20mozilla-central%20opt%20test%20mochitest-other&fulltext=1#err0
with test_bug253481.xul might be this same problem.
I wonder whether this is similar:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276203459.1276204540.7368.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other

13986 INFO SimpleTest finished chrome://mochikit/content/chrome/widget/tests/test_wheeltransaction.xul in 9409ms
13987 INFO Passed: 13053
13988 INFO Failed: 0
13989 INFO Todo:   113
13990 INFO SimpleTest FINISHED
SSLTUNNEL(0x7f2698000b00): poll timeout, looping
SSLTUNNEL(0x7f2698000b00): polling flags csock(0)=--, ssock(1)=R-
SSLTUNNEL(0x7f2698000b00): poll timeout, looping
SSLTUNNEL(0x7f2698000b00): polling flags csock(0)=--, ssock(1)=R-
SSLTUNNEL(0x7f2698000b00): poll timeout, looping
SSLTUNNEL(0x7f2698000b00): polling flags csock(0)=--, ssock(1)=R-
(Reporter)

Comment 7

6 years ago
I've long since forgotten where, but ssltunnel no longer tells us every time it turns around.
Status: NEW → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → WORKSFORME
(Assignee)

Updated

5 years ago
Keywords: intermittent-failure
(Assignee)

Updated

5 years ago
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.